class Log : public ErrorLog
{
    public:

	void	SetName( const char *logname );
	void	SetLfd( const int fd );

	char	*GetName();
	int	GetLfd();

	bool	Init( const char *tag, const char *logname, Error *e );

	bool	Open( Error *e );
	bool	Dup2( const int newfd, Error *e );

    private:

	StrBuf name;	// name of log file
	int lfd;	// file descriptor of log file
};
